# FrustumOutlineGeometry

#### new Cesium.FrustumOutlineGeometry(options)
Core/FrustumOutlineGeometry.js 30

A description of the outline of a frustum with the given the origin and orientation.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Description
--- | --- | ---
`frustum` | PerspectiveFrustum | OrthographicFrustum | The frustum.
`origin` | Cartesian3 | The origin of the frustum.
`orientation` | Quaternion | The orientation of the frustum.

### Members

#### packedLength : Number
Core/FrustumOutlineGeometry.js 68

The number of elements used to pack the object into an array.

### Methods

#### static Cesium.FrustumOutlineGeometry.createGeometry(frustumGeometry) → Geometry|undefined
Core/FrustumOutlineGeometry.js 186

Computes the geometric representation of a frustum outline, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`frustumGeometry` | FrustumOutlineGeometry | A description of the frustum.

##### Returns:

The computed vertices and indices.

#### static Cesium.FrustumOutlineGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/FrustumOutlineGeometry.js 81

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | FrustumOutlineGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### static Cesium.FrustumOutlineGeometry.unpack(array, startingIndex, result)
Core/FrustumOutlineGeometry.js 123

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | FrustumOutlineGeometry |  | optional The object into which to store the result.